import "./style/pageStyle.css";
import React from "react";
import cameraOne from "../static/menu/hardware/camera_one@2x.png";
import cameraTwo from "../static/menu/hardware/camera_two@2x.png";
import cameraThree from "../static/menu/hardware/camera_three@2x.png";
import keyCabinetOne from "../static/menu/hardware/key_cabinet_one@2x.png";
import keyCabinetTwo from "../static/menu/hardware/key_cabinet_two@2x.png";
import keyCabinetThree from "../static/menu/hardware/key_cabinet_three@2x.png";
import electronicKanBan from "../static/menu/hardware/electronic_kanban@2x.png";
import printer from "../static/menu/hardware/printer@2x.png";
import { Image, Space } from "antd";

const HARD_WARE_SUB_MENU = [
  {
    img: cameraOne,
    text: "车辆设别摄像头4G版",
    href: "",
  },
  {
    img: cameraTwo,
    text: "工位直播摄像头",
    href: "",
  },
  {
    img: printer,
    text: "云打印机",
    href: "",
  },
  {
    img: cameraThree,
    text: "门店实况摄像头P20A2",
    href: "",
  },
  {
    img: keyCabinetOne,
    text: "智能养车钥匙柜G13",
    href: "",
  },
  {
    img: keyCabinetTwo,
    text: "智能养车钥匙柜X18",
    href: "",
  },
  {
    img: keyCabinetThree,
    text: "智能养车钥匙柜X32",
    href: "",
  },
  {
    img: electronicKanBan,
    text: "商机/任务看板Y32",
    href: "",
  },
];

const HardwareSubMenu = (props) => {
  const { hideHardWareSubMenu } = props;
  return (
    <div
      className="hard_ware_sub_menu_container"
      onMouseLeave={() => {
        hideHardWareSubMenu();
      }}
    >
      <Space size={48}>
        {HARD_WARE_SUB_MENU.map((item) => {
          return (
            <Space
              direction="vertical"
              size={30}
              align="center"
              key={item.text}
            >
              <Image src={item.img} width={110} height={150} preview={false} />
              <div className="hard_ware_sub_menu_text">{item.text}</div>
            </Space>
          );
        })}
      </Space>
    </div>
  );
};

export default HardwareSubMenu;
