import "./style/pageStyle.css";
import React, { useState } from "react";
import { Image, Space } from "antd";
import logoWhite from "../static/menu/logo-white@2x.png";
import logoGreen from "../static/menu/logo-green@2x.png";
import HardwareSubMenu from "./HardwareSubMenu";
import SoftwareSubMenu from "./SoftwareSubMenu";
const menuItems = ["硬件产品", "软件服务", "生态创新", "数据产品", "关于我们"];
const hasSubMenuItems = ["硬件产品", "软件服务"];
const normalMenuBackground = "rgba(17,17,19,0.15)";
const hoverMenuBackground = "white";

const Menu = () => {
  const renderMenuItem = () => {
    return menuItems.map((item) => {
      return (
        <div
          className="menu-item"
          key={item}
          style={{
            color:
              onHoverMenu === item
                ? " #12c194"
                : menuBackground
                ? "#4D4F55"
                : "#FFFFFF",
          }}
          onMouseOver={(menu) => {
            setOnHoverMenu(menu.target.textContent);
            if (hasSubMenuItems.includes(item)) {
              if (item === hasSubMenuItems[0]) {
                setShowHardWareSubMenu(true);
                setShowSoftWareSubMenu(false);
              }
              if (item === hasSubMenuItems[1]) {
                setShowSoftWareSubMenu(true);
                setShowHardWareSubMenu(false);
                // TODO
              }
              setIslogoFocus(true);
              setMenuBackground(true);
              return;
            }
            setIslogoFocus(false);
            setMenuBackground(false);
          }}
          onMouseLeave={() => {
            // setIslogoFocus(false);
            // setMenuBackground(false);
          }}
        >
          {item}
        </div>
      );
    });
  };

  const [isLogoFocus, setIslogoFocus] = useState(false);
  const [menuBackground, setMenuBackground] = useState(false);
  const [showHardWareSubMenu, setShowHardWareSubMenu] = useState(false);
  const [showSoftWareSubMenu, setShowSoftWareSubMenu] = useState(false);

  const [onHoverMenu, setOnHoverMenu] = useState("");

  const hideHardWareSubMenu = () => {
    setIslogoFocus(false);
    setMenuBackground(false);
    setShowHardWareSubMenu(false);
    setOnHoverMenu("");
  };

  return (
    <>
      <div
        className="menu-container"
        style={{
          background: menuBackground
            ? hoverMenuBackground
            : normalMenuBackground,
        }}
      >
        <Space size={472}>
          <a href="/">
            <Image
              src={isLogoFocus ? logoGreen : logoWhite}
              width={175}
              height={25}
              preview={false}
            />
          </a>
          <Space size={68}>{renderMenuItem()}</Space>
        </Space>
      </div>
      <div className="split_line"></div>
      {showHardWareSubMenu ? (
        <HardwareSubMenu hideHardWareSubMenu={hideHardWareSubMenu} />
      ) : null}
      {showSoftWareSubMenu ? <SoftwareSubMenu /> : null}
    </>
  );
};

export default Menu;
