import "./style/pageStyle.css";
import React from "react";
import carLai from "../static/menu/software/car_lai@2x.png";
import carLaiLogo from "../static/menu/software/car_lai_logo@2x.png";
import carJian from "../static/menu/software/car_jian@2x.png";
import carJianLogo from "../static/menu/software/car_jian_logo@2x.png";
import { Image, Space } from "antd";

const SOFT_WARE_SUB_MENU = [
  {
    img: carLai,
    logo: carLaiLogo,
    text: "汽服门店数智操作系统，满足你关于门店数智化的所有想象。洗美店、快修快保店、装潢店、综合修理厂...",
    subText: "",
    hrefText: "了解详情 >",
    href: "",
  },
  {
    img: carJian,
    logo: carJianLogo,
    text: "数智汽配操作系统",
    subText: "汽配品牌商、分销商、汽配门店",
    hrefText: "",
    href: "",
  },
];

const SoftwareSubMenu = (props) => {
  const { hideSoftWareSubMenu } = props;
  return (
    <div
      className="soft_ware_sub_menu_container"
      onMouseLeave={() => {
        hideSoftWareSubMenu();
      }}
    >
      <Space size={58}>
        {SOFT_WARE_SUB_MENU.map((item) => {
          return (
            <Space direction="horizontal" size={5} key={item.text}>
              <Image src={item.img} width={300} height={220} preview={false} />
              <Space direction="vertical" size={25}>
                <Image src={item.logo} width={138} height={43} />
                <div>
                  <div>{item.text}</div>
                  <div>{item.subText}</div>
                </div>
              </Space>
            </Space>
          );
        })}
      </Space>
    </div>
  );
};

export default SoftwareSubMenu;
